
From: Andries Brouwer <Andries.Brouwer@cwi.nl>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/befs/debug.c    |    2 ++
 25-akpm/fs/befs/linuxvfs.c |    8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

diff -puN fs/befs/debug.c~add-static-in-befs fs/befs/debug.c
--- 25/fs/befs/debug.c~add-static-in-befs	2004-09-05 15:03:46.438693592 -0700
+++ 25-akpm/fs/befs/debug.c	2004-09-05 15:03:46.444692680 -0700
@@ -222,11 +222,13 @@ befs_dump_super_block(const struct super
 #endif				//CONFIG_BEFS_DEBUG
 }
 
+/* unused */
 void
 befs_dump_small_data(const struct super_block *sb, befs_small_data * sd)
 {
 }
 
+/* unused */
 void
 befs_dump_run(const struct super_block *sb, befs_block_run run)
 {
diff -puN fs/befs/linuxvfs.c~add-static-in-befs fs/befs/linuxvfs.c
--- 25/fs/befs/linuxvfs.c~add-static-in-befs	2004-09-05 15:03:46.440693288 -0700
+++ 25-akpm/fs/befs/linuxvfs.c	2004-09-05 15:03:46.445692528 -0700
@@ -64,22 +64,22 @@ static const struct super_operations bef
 /* slab cache for befs_inode_info objects */
 static kmem_cache_t *befs_inode_cachep;
 
-struct file_operations befs_dir_operations = {
+static struct file_operations befs_dir_operations = {
 	.read		= generic_read_dir,
 	.readdir	= befs_readdir,
 };
 
-struct inode_operations befs_dir_inode_operations = {
+static struct inode_operations befs_dir_inode_operations = {
 	.lookup		= befs_lookup,
 };
 
-struct file_operations befs_file_operations = {
+static struct file_operations befs_file_operations = {
 	.llseek		= default_llseek,
 	.read		= generic_file_read,
 	.mmap		= generic_file_readonly_mmap,
 };
 
-struct address_space_operations befs_aops = {
+static struct address_space_operations befs_aops = {
 	.readpage	= befs_readpage,
 	.sync_page	= block_sync_page,
 	.bmap		= befs_bmap,
_
